<?php

/*------------------------------------------------------------------------
# "Hot Full Carousel" Joomla module
# Copyright (C) 2012 HotJoomlaTemplates.com. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access'); // no direct access

// get the document object
$doc = JFactory::getDocument();

// add your stylesheet
$doc->addStyleSheet( 'modules/mod_hot_full_carousel/tmpl/style.css' );

// style declaration
$doc->addStyleDeclaration( '


' );

?>

<div class="hero">
    <div class="hero-carousel">
        <?php
            for ($loop = 1; $loop <= 20; $loop += 1) {
                if ($enableSlide[$loop]=="true") {
        ?>
        <div class="carousel-article" style="background-image:url(<?php echo $mosConfig_live_site.'/'.$image[$loop]; ?>); background-size:cover; background-position:top center">

            <div class="contents">
                <?php if ($imageHeading[$loop]) { ?>
                <h2><?php if($imageLinkArray[$loop] && $linkedHeadings) { ?><a href="<?php echo $imageLinkArray[$loop]; ?>"<?php if($linkNewWindow) { ?> target="_blank"<?php } ?><?php if($imageTitleArray[$loop]) { ?> title="<?php echo $imageTitleArray[$loop]; ?>"<?php } ?>><?php } ?><?php echo $imageHeading[$loop]; ?><?php if($imageLinkArray[$loop] && $linkedHeadings) { ?></a><?php } ?></h2>
                <?php } ?>
                <?php echo $imageText[$loop]; ?> <?php if($imageLinkArray[$loop] && $readMoreLink) { ?><a href="<?php echo $imageLinkArray[$loop]; ?>"<?php if($linkNewWindow) { ?> target="_blank"<?php } ?><?php if($imageTitleArray[$loop]) { ?> title="<?php echo $imageTitleArray[$loop]; ?>"<?php } ?>><?php echo $readMoreLink; ?></a><?php } ?>
            </div>
        </div>
            <?php }
            } ?>
    </div>
</div>

<?php if ($enablejQuery!=0) { ?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
<?php } if ($noConflict!=0) { ?>
<script type="text/javascript">
     jQuery.noConflict();
</script>
<?php } ?>
<script type="text/javascript" src="<?php echo $mosConfig_live_site; ?>/modules/mod_hot_full_carousel/js/jquery.easing-1.3.js"></script>
<script type="text/javascript" src="<?php echo $mosConfig_live_site; ?>/modules/mod_hot_full_carousel/js/jquery.heroCarousel-1.3.min.js"></script>
<script type="text/javascript">
    jQuery(document).ready(function(){
            var bodyWidth = jQuery('.hero').innerWidth();
            jQuery('.hero-carousel').heroCarousel({
                navigation: true,
                easing: '<?php echo $easing; ?>',
                css3pieFix: true,
                prevText: '&larr;',
                nextText: '&rarr;',
                animationSpeed: <?php echo $animSpeed; ?>,
                timeout: <?php echo $pauseTime; ?>,
                pause: true,
                pauseOnNavHover: true
            });

            jQuery('.hero').hover(function(){
                jQuery('.hero-carousel-nav').css('display','block');
            },function(){
                jQuery('.hero-carousel-nav').css('display','none');
            });
    });
</script>