<?php
/*------------------------------------------------------------------------
# "Hot Responsive Portfolio" Joomla template - March, 2013
# Copyright (C) 2013 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
defined('DS') ? null : define('DS',DIRECTORY_SEPARATOR);
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html>
<html  xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head >
<meta name="viewport" content="width=device-width,height=device-height,initial-scale=1" />

<!--[if IE 7]><meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" /><![endif]-->
<!--[if IE]>

    <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <style type="text/css">
        .clear {
            zoom: 1;
            display: none;
        }
    </style>
<![endif]-->

<jdoc:include type="head" />

<?php	// module states
		$showuser1 = $this->countModules('user1');
		$showlogo = $this->countModules('logo');
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showright2 = $this->countModules('right2');
?>

<?php	// template parameters
		$textDirection = $this->params->get("textDirection", "0");
		$copyright = $this->params->get("copyright", "Your Company");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style']; 
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
			
		if($templateStyle) {
			
			require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
		
		$body = $this->params->get("body", "#333333");
		$links = $this->params->get("links", "#ff9900");
		$links_hover = $this->params->get("links_hover", "#333333");
		$heading_text = $this->params->get("heading_text", "#333333");
		$heading_text_hover = $this->params->get("heading_text_hover", "#ff9900");
		$body_bg = $this->params->get("body_bg", "#eaeaea");
		$header_color = $this->params->get("header_color", "#333333");
		$content_bg = $this->params->get("content_bg", "#eaeaea");
		$box_bg = $this->params->get("box_bg", "#eaeaea");
		$box_bg_hover = $this->params->get("box_bg_hover", "#eaeaea");
		$modules_text = $this->params->get("modules_text", "#333333");
		$modules_headings = $this->params->get("modules_headings", "#222222");
		$modules_links = $this->params->get("modules_links", "#2489CE");
		$modules_links_hover = $this->params->get("modules_links_hover", "#333333");
		$headerBorderColor = $this->params->get("headerBorderColor", "#000000");
		$footerBg = $this->params->get("footerBg", "#ffffff");
		$footerText = $this->params->get("footerText", "#333333");
		$formColor = $this->params->get("formColor", "#333333");
		$activeCategoryBg = $this->params->get("activeCategoryBg", "#cccccc");
		$activeCategoryBgFont = $this->params->get("activeCategoryBgFont", "#333333");
		$topMenuActive = $this->params->get("topMenuActive", "#eeeeee");
		$topMenuLink = $this->params->get("topMenuLink", "#eeeeee");
		
		}
	
?>
<link rel="stylesheet" href="<?php echo $template_path ?>/js/jquery.mobile/jquery.mobile-1.1.0.css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/k2_responsive.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DS.'css/template_css.php'); ?>
-->
</style>

<!--[if lt IE 8]>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DS.'css/template_css_ie7.php'); ?>
-->
</style>
<![endif]-->

<script type="text/javascript" >
	var BASE_URL = "<?php echo $this->baseurl ?>";
	var TEMPLATE_URL ="<?php echo $template_path ?>";
</script>

<link rel="stylesheet" href="<?php echo $template_path ?>/js/jquery.mobile/normal_anim_speed.css" />
<script type="text/javascript" src="<?php echo $template_path ?>/js/jquery.mobile/jquery.mobile-1.1.0.min.js"></script>
<script type="text/javascript" src="<?php echo $template_path ?>/js/jquery.infinitescroll.js"></script>
<script type="text/javascript" src="<?php echo $template_path ?>/js/jquery.masonry.min.js"></script>
<?php
$top_container_height = $this->params->get("top_menu_height", "617");
if(!$showlogo) { $top_container_height = 50; }
?>
<script type="text/javascript" >

var dynlayout_config = {
	 jquery_mobile_theme:'c',
	 infinitescroll:<?php echo $this->params->get("infinitescroll", 1)? "true" : "false";?>,
	 infinitescroll_from_bottom : <?php echo $this->params->get("infinitescroll_from_bottom", 1)? "true": "false" ;?>,
	 infinitescroll_triger_level : <?php echo $this->params->get("infinitescroll_triger_level", "20");?>,
	 infinitescroll_load_text : "<?php echo $this->params->get("infinitescroll_load_text", "Loading posts...");?>",
	 infinitescroll_finished_text : "<?php echo $this->params->get("infinitescroll_finished_text", "No more posts!");?>",
	 infinitescroll_auto_check_on_load : <?php echo $this->params->get("infinitescroll_auto_check_on_load", 0)? "true" : "false";?>,
	 grid_unit : <?php echo $this->params->get("grid_unit", "260");?>,
	 use_animation : <?php echo ($this->params->get("animation_speed", "700") > 0) ? "true" : "false" ;?>,
	 animation_easing : "<?php echo $this->params->get("animation_easing", "swing");?>",
	 animation_speed : <?php echo $this->params->get("animation_speed", "700");?>,
	 box_width_unit : <?php echo $this->params->get("box_width_unit", "200");?>,
	 item_w_space : <?php echo $this->params->get("item_w_space", "10");?>,
	 scale_animation_speed: <?php echo $this->params->get("scale_animation_speed", "350");?>,
	 full_fill_level: <?php echo $this->params->get("full_fill_level", "640");?>,
	 left_column_width: <?php echo $this->params->get("left_column_width", "220");?>,
	 right_column_width: <?php echo $this->params->get("right_column_width", "220");?>,
	 top_menu_hight: <?php echo $top_container_height; ?>,
	 logo_spacing_on_full: <?php echo $this->params->get("logo_spacing_on_full", "10");?>,
	 layout2_level: <?php echo $this->params->get("layout2_level", "1280");?>,
	 layout3_level: <?php echo $this->params->get("layout3_level", "1024");?>,
	 layout4_level: <?php echo $this->params->get("layout4_level", "768");?>,
	 use_ajax_loader:<?php echo $this->params->get("use_ajax_loader", "1");?>
};

<?php 
$transs = explode(',',str_replace(" ","",$this->params->get("dynlayout_page_trasitions", "fade,pop,flip,turn,flow,slidefade,slide,slideup,slidedown")));
foreach ($transs as &$value) {
$value = '"'.$value.'"';
}
?>
 
var dynlayout_page_trasitions = [<?php echo implode(",",$transs); ?>];
 
</script>
<script type="text/javascript" src="<?php echo $template_path ?>/js/dynlayout.js"></script>

<script type="text/javascript">
jQuery(document).ready(function(jQuery) {
	jQuery('div.itemContainer').has('div.catItemIsFeatured').addClass('k2_responsive_featured')
});
</script>

<?php
/* The following line loads the MooTools JavaScript Library */
JHtml::_('bootstrap.framework', true); ?>
</head>
<body>
<div data-role="page"  class="dynlayout-page">

<div data-role="header" class="responsive_header">
	<div class="top_menu_container"><jdoc:include type="modules" name="user3" style="xhtml" /></div>
	<?php if($showlogo) { ?><div class="responsive_logo"><jdoc:include type="modules" name="logo" style="xhtml" /></div><?php } ?>
</div>
<div style="max-width:1485px; margin:0 auto; padding:0 15px;">
	<div class="quote_module"><jdoc:include type="modules" name="quote" /></div>
	<?php if($showuser1) { ?><div class="user1_module"><jdoc:include type="modules" name="user1" /></div><?php } ?>
	<div class="user2_module"><jdoc:include type="modules" name="user2" /></div>
		<div class="clr float_start"></div>
		<?php if($showleft) { ?><div class="left_column"><jdoc:include type="modules" name="left" style="xhtml" /></div><?php } ?>
		<?php if($showright || $showright2) { ?><div class="right_column">
			<?php if($showright) { ?><div class="right_column_column"><jdoc:include type="modules" name="right" style="xhtml" /></div><?php } ?>
			<?php if($showright2) { ?><div class="right_column_column"><jdoc:include type="modules" name="right2" style="xhtml" /></div><?php } ?>
		</div><?php } ?>
		<div class="main_container" data-role="content">
			<jdoc:include type="message" />
			<jdoc:include type="component" />
		</div>
		<div class="clr float_break" />
	</div>
</div>
<div class="clr"></div>
<div class="footer_modules_container">
	<div class="footer_modules">
		<div class="footer1">
			<jdoc:include type="modules" name="footer1" />
		</div>
		<div class="footer2">
			<jdoc:include type="modules" name="footer2" />
		</div>
		<div class="footer3">
			<jdoc:include type="modules" name="footer3" />
		</div>
		<div class="clr"></div>
	</div>
</div>
<div class="bottom_modules_container">
	<div class="bottom_modules">
		<div class="bottom1">
			<jdoc:include type="modules" name="bottom1" />
			<p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. Template by Hot Joomla Templates.</p>
		</div>
		<div class="bottom2">
			<jdoc:include type="modules" name="bottom2" />
		</div>
		<div class="clr"></div>
	</div>
</div>
<jdoc:include type="modules" name="debug" style="none" />
</body>
</html>