/* text colors */

.ui-body-c, .ui-overlay-c, label.ui-btn-corner-all {
	color:<?php echo $body; ?> !important;
}

.user2_module ul.menu li a.ui-link:link, .user2_module ul.menu li a.ui-link:visited,
.user2_module ul.menu li span {
	color:<?php echo $body; ?> !important;
}

.ui-body-c .ui-link, .ui-body-c .ui-link:visited {
	color:<?php echo $links; ?> !important;
}

.ui-body-c .ui-link:hover {
	color:<?php echo $links_hover; ?> !important;
}

h1, div.componentheading, div.itemHeader h2.itemTitle,
h2, h3.catItemTitle a.ui-link,
div.catItemHeader h3.catItemTitle,
div.userItemHeader h3.userItemTitle,
div.tagItemHeader h2.tagItemTitle,
div.genericItemHeader h2.genericItemTitle,
ol.dynlayout_feed li > a,
h3.userItemTitle a.ui-link:link, h3.userItemTitle a.ui-link:visited,
div.item h2 a.ui-link:link, div.item h2 a.ui-link:visited,
div.item-page h2 a.ui-link:link, div.item-page h2 a.ui-link:visited,
div.catItemHeader h3.catItemTitle a, div.catItemHeader h3.catItemTitle a:visited,
div.tagItemHeader h2.tagItemTitle a, div.tagItemHeader h2.tagItemTitle a:visited {
	color:<?php echo $heading_text; ?> !important;
}

div.item h2 a.ui-link:hover,
div.catItemHeader h3.catItemTitle a:hover,
div.tagItemHeader h2.tagItemTitle a:hover,
h3.userItemTitle a.ui-link:hover {
	color:<?php echo $heading_text_hover; ?> !important;
}

div.catItemHeader h3.catItemTitle, .item h2 {
	border-bottom: 1px solid <?php echo $heading_text; ?> ;
}

/* background colors */

.ui-body-c, .ui-overlay-c {
	background:<?php echo $body_bg; ?> !important;
}

.main_container {
	background:<?php echo $content_bg; ?>;
}

div.item, div.itemContainer, div.userItemView, div.tagItemView, ol.dynlayout_feed li {
	background:<?php echo $box_bg; ?>;
}

div.item:hover, div.itemContainer:hover, div.userItemView:hover, div.tagItemView:hover, ol.dynlayout_feed li:hover {
	background:<?php echo $box_bg_hover; ?>;
}

/* modules colors */

div.moduletable {
	color:<?php echo $modules_text; ?>;
}

div.moduletable h3 {
	color:<?php echo $modules_headings; ?>;
}

div.moduletable a.ui-link:link, div.moduletable a.ui-link:visited {
	color:<?php echo $modules_links; ?> !important;
}

div.moduletable a.ui-link:hover {
	color:<?php echo $modules_links_hover; ?> !important;
}

div.top_menu_container {
	border-top: 10px solid <?php echo $headerBorderColor; ?>;
}

.responsive_logo {
	border-bottom: 10px solid <?php echo $headerBorderColor; ?>;
}

.footer_modules_container, div.footer1 h2, div.footer2 a.ui-link:link, div.footer2 a.ui-link:visited, .bottom_modules {
	color: <?php echo $footerText; ?> !important;
}

.footer_modules_container, .bottom_modules_container {
	background: <?php echo $footerBg; ?>;
}

div.footer1 a.ui-link:hover {
	color:<?php echo $links; ?> !important;
}

input.rapid_contact.email, input.rapid_contact.subject, textarea.rapid_contact.message, input.rapid_contact.antispam {
	background-color: <?php echo $formColor; ?> !important;
	border-color: <?php echo $formColor; ?> !important;
}

.user2_module ul.menu > li:hover, .user2_module ul.menu > li.active {
	background:<?php echo $activeCategoryBg; ?>;
}

.user2_module ul.menu > li:hover a.ui-link:link, .user2_module ul.menu > li.active a.ui-link:visited,
.user2_module ul.menu > li:hover a.ui-link:visited, .user2_module ul.menu > li:hover span {
	color:<?php echo $activeCategoryBgFont; ?> !important;
}

ul.menu > li.active {
	background:<?php echo $headerBorderColor; ?>;
}

#nav > li {
	border-right:1px solid <?php echo $headerBorderColor; ?>;
}

#nav li a.ui-link:link, #nav li a.ui-link:visited, #nav li span {
	color:<?php echo $topMenuLink; ?> !important;
}

#nav li.active a.ui-link:link, #nav li.active a.ui-link:visited, #nav li.active span {
	color:<?php echo $topMenuActive; ?> !important;
}